Bug 465324 - Apple aluminium keyboard no longer recognized properly under fedora 10 beta
Apple aluminium keyboard no longer recognized properly under fedora 10 beta
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 15:21 EDT by Benjamin Bagland
Modified: 2008-10-16 05:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-13 01:07:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Bagland 2008-10-02 15:21:34 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.2) Gecko/2008092502 Fedora/3.0.2-1.fc10 Firefox/3.0.2

I have a french apple aliminium keyboard (the usb model not the wireless one) and the macintosh layout in gnome keyboard preferences is not working anymore.
I used to select Apple/Macintosh as a keyboard model and France as the layout, but this gives me the standard pc layout now.

Reproducible: Always

Steps to Reproduce:
1. select apple/macintosh keyboard model
2. tried to type the - key, it comes out as =
3.
Comment 1 Benjamin Bagland 2008-10-02 15:50:13 EDT
I have:

$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = [fr]
 model = macintosh
 options = [grp	grp:alts_toggle,compat	apple:badmap,ctrl	ctrl:nocaps]

and :
$ xprop -root|grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "base", "evdev", "fr", "", ""
_XKB_RULES_NAMES(STRING) = "base", "evdev", "fr", "", "grp:alts_toggle,apple:badmap,ctrl:nocaps"

Not sure what information I can give in addition to that.
Comment 2 Peter Hutterer 2008-10-02 20:33:12 EDT
This is a problem with the current xkeyboard-config.

We must have model evdev if evdev is used for keyboard drivers otherwise some of the keys stop working. xkeyboard-config 1.4 (just released two days ago) should have the fix for that.
Comment 3 Benjamin Bagland 2008-10-03 08:29:34 EDT
Thanks for the quick reply, I'll let you know when the 1.4 version hits rawhide whether this fix my problem.
Comment 4 Peter Hutterer 2008-10-13 01:07:37 EDT
1.4 is in available now, please reopen if the bug persists.
Comment 5 Benjamin Bagland 2008-10-16 05:15:59 EDT
It is indeed fixed now, thanks.

Note You need to log in before you can comment on or make changes to this bug.